# $NetBSD$
#

PKG_OPTIONS_VAR=	PKG_OPTIONS.grass63
PKG_SUPPORTED_OPTIONS=	ffmpeg fftw freetype glw gmath motif nls 
PKG_SUPPORTED_OPTIONS+=	odbc opengl postgres python readline sqlite terraflow
PKG_SUPPORTED_OPTIONS+=	wxwidgets
PKG_SUGGESTED_OPTIONS=	ffmpeg fftw freetype nls opengl
PKG_SUGGESTED_OPTIONS+=	readline postgres python terraflow wxwidgets

.include "../../mk/bsd.options.mk"

.if !empty(PKG_OPTIONS:Mffmpeg)
CONFIGURE_ARGS+=	--with-ffmpeg
CONFIGURE_ARGS+=	--with-ffmpeg-includes="${LOCALBASE}/include/libavcodec\
						${LOCALBASE}/include/libavformat\
						${LOCALBASE}/include/libavutil"
.include "../../wip/ffmpeg-snapshot/buildlink3.mk"
.else
CONFIGURE_ARGS+=	--without-ffmpeg
.endif

.if !empty(PKG_OPTIONS:Mfftw)
CONFIGURE_ARGS+=	--with-fftw
CONFIGURE_ARGS+=	--with-fftw-includes=${LOCALBASE}/include
PLIST_SRC+=		PLIST.fftw
.include "../../math/fftw2/buildlink3.mk"
.else
CONFIGURE_ARGS+=	--without-fftw
.endif

.if !empty(PKG_OPTIONS:Mfreetype)
CONFIGURE_ARGS+=	--with-freetype
PLIST_SRC+=		PLIST.freetype
.include "../../graphics/freetype2/buildlink3.mk"
.else
CONFIGURE_ARGS+=	--without-freetype
.endif

.if !empty(PKG_OPTIONS:Mglw)
CONFIGURE_ARGS+=	--with-glw
.else
CONFIGURE_ARGS+=	--without-glw
.endif

.if !empty(PKG_OPTIONS:Mgmath)
USE_LANGUAGES+=		fortran
CONFIGURE_ARGS+=	--with-blas
CONFIGURE_ARGS+=	--with-lapack
.include "../../math/blas/buildlink3.mk"
.include "../../math/lapack/buildlink3.mk"
.else
CONFIGURE_ARGS+=	--without-blas
CONFIGURE_ARGS+=	--without-lapack
.endif

.if !empty(PKG_OPTIONS:Mmotif)
CONFIGURE_ARGS+=	--with-motif
PLIST_SRC+=		PLIST.motif
.include "../../mk/motif.buildlink3.mk"
.else
CONFIGURE_ARGS+=	--without-motif
.endif

.if !empty(PKG_OPTIONS:Mnls)
CONFIGURE_ARGS+=	--with-nls
PLIST_SRC+=		PLIST.nls
.else
CONFIGURE_ARGS+=	--without-nls
.endif

.if !empty(PKG_OPTIONS:Modbc)
CONFIGURE_ARGS+=	--with-odbc
PLIST_SRC+=		PLIST.odbc
.include "../../databases/unixodbc/buildlink3.mk"
.else
CONFIGURE_ARGS+=	--without-odbc
.endif

.if !empty(PKG_OPTIONS:Mpostgres)
CONFIGURE_ARGS+=	--with-postgres
CONFIGURE_ARGS+=	--with-postgres-includes=${LOCALBASE}/include
.include "../../databases/postgresql83-client/buildlink3.mk"
.else
CONFIGURE_ARGS+=	--without-postgres
.endif

.if !empty(PKG_OPTIONS:Mpython)
.include "../../lang/python/pyversion.mk"
.include "../../devel/swig/buildlink3.mk"
.include "../../wip/py-wxWidgets28/buildlink3.mk"
CONFIGURE_ARGS+=      --with-python=${LOCALBASE}/bin/python
.endif

.if !empty(PKG_OPTIONS:Mopengl)
CONFIGURE_ARGS+=	--with-opengl
.include "../../graphics/MesaLib/buildlink3.mk"
.include "../../graphics/glu/buildlink3.mk"
.else
CONFIGURE_ARGS+=	--without-opengl
.endif

.if !empty(PKG_OPTIONS:Mreadline)
CONFIGURE_ARGS+=	--with-readline
.include "../../devel/readline/buildlink3.mk"
.else
CONFIGURE_ARGS+=	--without-readline
.endif

.if !empty(PKG_OPTIONS:Msqlite)
CONFIGURE_ARGS+=	--with-sqlite
CONFIGURE_ARGS+=	--with-sqlite
CONFIGURE_ARGS+=	--with-sqlite-includes=${LOCALBASE}/include
.include "../../databases/sqlite3/buildlink3.mk"
.else
CONFIGURE_ARGS+=	--without-sqlite
.endif

.if !empty(PKG_OPTIONS:Mterraflow)
USE_LANGUAGES+=		c++
CONFIGURE_ARGS+=	--with-cxx
PLIST_SRC+=		PLIST.terraflow
.else
CONFIGURE_ARGS+=	--without-cxx
.endif

.if !empty(PKG_OPTIONS:Mwxwidgets)
CONFIGURE_ARGS+=	--with-wxwidgets=${LOCALBASE}/bin/wx-config
.include "../../wip/wxGTK28/buildlink3.mk"
.endif
